Name:           conspy
Version:        1.14
Release:    1%{?dist}
Summary:        Remote control for text mode virtual consoles

License:        AGPLv3+
URL:            https://sourceforge.net/projects/conspy/
Source0:        https://sourceforge.net/projects/conspy/files/%{name}-%{version}-1/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  ncurses-devel
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires: make

%description
Conspy allows a (possibly remote) user to see what is displayed on
a Linux virtual console, and send keystrokes to it. It is rather
like VNC, but where VNC takes control of a GUI conspy takes control
of a text mode virtual console. Unlike VNC, conspy does not require
a server to be installed prior to being used. 

%prep
%autosetup

%build
aclocal
automake --foreign --add-missing --copy
autoconf
%configure
%make_build

%install
%make_install

%files
%doc ChangeLog.txt README.txt conspy.html
%license agpl-3.0.txt
%{_mandir}/man*/*.*
%{_bindir}/%{name}

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14-1
- initial build
